-- This file is part of the it-crafts software and is subject to copyright protection.
-- (C) 2022..2026, All rights reserved by Steffen Anders, Elsteraue - Germany
-- Visit also https://www.it-crafts.de.
--

IF 1 = (SELECT count(*) from [sysobjects] so where so.[xtype] = 'V' and so.[name] = 'hwv_itcVersion')
BEGIN
  DROP VIEW dbo.hwv_itcVersion
END
GO

CREATE VIEW dbo.hwv_itcVersion AS
  SELECT '01.26.04.00' AS itcVersion
GO

IF 1 = (SELECT count(*) from [sysobjects] so where so.[xtype] = 'V' and so.[name] = 'hwv_BshVersion')
  IF '4.1d/1' = (SELECT TOP 1 BshVersion FROM dbo.hwv_BshVersion)
    EXECUTE('ALTER VIEW dbo.hwv_BshVersion AS SELECT ''4.1d/1(H)'' AS BshVersion')
GO

IF 0 < (SELECT count(*) from [sysobjects] where [xtype] = 'P'   and [name] = 'itcproc_Version')
  DROP PROCEDURE [dbo].[itcproc_Version]
GO
CREATE PROCEDURE [dbo].[itcproc_Version] 
  @Param_Dummy varchar(100) = ''
AS
  SELECT * FROM dbo.hwv_itcVersion
GO
